<?php

namespace MoAzureObjectSync\View;

use MoAzureObjectSync\Wrappers\pluginConstants;

class supportForm{

    private static $instance;

    public static function getView(){
        if(!isset(self::$instance)){
            $class = __CLASS__;
            self::$instance = new $class;
        }
        return self::$instance;
    }

    public function mo_azos_display_support_form(){
        ?>
        
        <div class="mo_azos_support_layout">
            <div>
            <h3>Feature Request/Contact Us (24*7 Support)</h3>
            <div style="padding-right: 10px;display: block;overflow: auto;">
                <div style="float:left;width:10%;"><img src="<?php echo plugin_dir_url( __FILE__ ) . '../images/phone.svg' ;?>" width="32" height="32"></div>
                <div style="float:left;width:88%;padding-left:5px;padding-top:5px;font-size:14px;line-height:20px;"><b>Need any help? Just give us a call at +1 978 658 9387</b></div>
            </div>
                <p>We can help you with configuring plugin. Just send us a query and we will get back to you soon.</p>
                <form method="post" action="">
                    <input type="hidden" name="option" value="mo_azos_contact_us_query_option" />
                    <?php  wp_nonce_field('mo_azos_contact_us_query_option'); ?>
                    <table class="mo_azos_settings_table">
                        <tr>
                            <td colspan="2"><input style="width:95%" type="email" class="mo_azos_table_textbox" required name="mo_azos_contact_us_email" value="<?php echo ( get_option( 'mo_saml_admin_email' ) == '' ) ? get_option( 'admin_email' ) : get_option( 'mo_saml_admin_email' ); ?>" placeholder="Email"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><input type="tel" style="width:95%" id="contact_us_phone" pattern="[\+]?[0-9]{1,4}[\s]?([0-9]{4,12})*" class="mo_azos_table_textbox" name="mo_azos_contact_us_phone" value="<?php echo get_option( 'mo_saml_admin_phone' ); ?>" placeholder="Enter your phone"></td>
                        </tr>
                        <tr>
                            <td colspan="2"><textarea class="mo_azos_table_textbox" style="width:95%" onkeypress="mo_azos_valid_query(this)" onkeyup="mo_azos_valid_query(this)" onblur="mo_azos_valid_query(this)" required name="mo_azos_contact_us_query" rows="4" style="resize: vertical;" placeholder="How we can help you?"></textarea></td>
                        </tr> 
                        </table>
                        <div style="display: flex;justify-content:flex-start;align-items:center;">
                            <label class="switch" style="margin: 5px;">
                                        <input type="checkbox" style="background: #DCDAD1;" id="mo_azos_setup_call" name="mo_azos_setup_call"/>
                                        <span class="slider round"></span>
                                    </label>
                            <b style="margin: 5px;font-size:14px;"><?php _e('Enable to Setup a Call/Screen-Share Session With Us','WP Azure Object Sync');?></b>
                        </div>
                        <table class="mo_azos_settings_table">
                        <tr class="call_setup_dets">
                            <td>
                                <div style="width: 21%;"><strong><?php _e('TimeZone','WP Azure Object Sync');?><font color="#FF0000">*</font>:</strong></div> 
                            </td>
                            <td>
                                <div style="width: 100%;">
                                    <select disabled id="js-timezone" name="mo_azos_setup_call_timezone">
                                    <?php $zones = pluginConstants::time_zones; ?>
                                        <option value="" selected disabled>---------<?php _e('Select your timezone','WP Azure Object Sync');?>--------</option> <?php
                                        foreach($zones as $zone=>$value) {
                                            if($value == 'Etc/GMT'){ ?>
                                                <option value="<?php echo $value; ?>" selected><?php echo $zone; ?></option>
                                            <?php
                                            }
                                            else { ?>
                                                <option value="<?php echo $value; ?>"><?php echo $zone; ?></option>
                                                <?php
                                            }
                                        } ?>
                                    </select>
                                </div>
                            </td>
                        </tr>
                        <tr class="call_setup_dets">
                            <td>
                                <strong> <?php _e('Date','WP Azure Object Sync');?><font color="#FF0000">*</font>:</strong><br>
                            </td>
                            <td>
                                <input disabled type="text" id="datepicker" class="call-setup-textbox" placeholder="<?php _e('Select Meeting Date','WP Azure Object Sync');?>" autocomplete="off" name="mo_azos_setup_call_date">
                            </td>
                        </tr>
                        <tr class="call_setup_dets">
                            <td>
                                <strong> <?php _e('Time (24-hour)','WP Azure Object Sync');?><font color="#FF0000">*</font>:</strong><br>
                            </td>
                            <td>
                                <input disabled type="text" id="timepicker" placeholder="<?php _e('Select Meeting Time','WP Azure Object Sync');?>" class="call-setup-textbox" autocomplete="off" name="mo_azos_setup_call_time">
                            </td>
                        </tr>
                        <tr class="call_setup_dets">
                            <td colspan="2">
                                <p class="call-setup-notice">
                                    <b><font color="#dc143c"><?php _e('Call and Meeting details will be sent to your email. Please verify the email before submitting your query.','WP Azure Object Sync');?></font></b>
                                </p>
                            </td>
                        </tr>
                    </table>
                    
                    <div style="text-align:center;">
                        <input type="submit" name="submit" style=" width:120px;margin-top:4px;" class="button button-primary button-large"/>
                    </div>
                <div>
                    </div>
                </form>
            </div>
            <script>
            function mo_azos_valid_query(f) {
            !(/^[a-zA-Z?,.\(\)\/@ 0-9]*$/).test(f.value) ? f.value = f.value.replace(
                /[^a-zA-Z?,.\(\)\/@ 0-9]/, '') : null;
            }

            jQuery("#contact_us_phone").intlTelInput();

            jQuery( function() {
            jQuery("#js-timezone").select2();

            jQuery("#js-timezone").click(function() {
                var name = $('#name').val();
                var email = $('#email').val();
                var message = $('#message').val();
                jQuery.ajax ({
                    type: "POST",
                    url: "form_submit.php",
                    data: { "name": name, "email": email, "message": message },
                    success: function (data) {
                        jQuery('.result').html(data);
                        jQuery('#contactform')[0].reset();
                    }
                });
            });

            jQuery("#datepicker").datepicker("setDate", +1);
            jQuery('#timepicker').timepicker('option', 'minTime', '00:00');

            jQuery("#mo_azos_setup_call").click(function() {
                if(jQuery(this).is(":checked")) {
                    document.getElementById("js-timezone").required = true;
                    document.getElementById("js-timezone").removeAttribute("disabled");
                    document.getElementById("datepicker").required = true;
                    document.getElementById("datepicker").removeAttribute("disabled");
                    document.getElementById("timepicker").required = true;
                    document.getElementById("timepicker").removeAttribute("disabled");
                    document.getElementById("mo_mo_azos_query").required = false;
                } else {
                    document.getElementById("timepicker").required = false;
                    document.getElementById("timepicker").disabled = true;
                    document.getElementById("datepicker").required = false;
                    document.getElementById("datepicker").disabled = true;
                    document.getElementById("js-timezone").required = false;
                    document.getElementById("js-timezone").disabled = true;
                    document.getElementById("mo_mo_azos_query").required = true;
                }
            });
            jQuery( "#datepicker" ).datepicker({
                minDate: +1,
                dateFormat: 'M dd, yy'
            });
        });

        jQuery('#timepicker').timepicker({
            timeFormat: 'HH:mm',
            interval: 30,
            minTime: new Date(),
            disableTextInput: true,
            dynamic: false,
            dropdown: true,
            scrollbar: true,
            forceRoundTime: true
        });

        </script>
        </div>&nbsp
    <?php
    }
}